package com.alibaba.druid.sql.dialect.gauss.ast;

import com.alibaba.druid.sql.ast.SQLObjectImpl;
import com.alibaba.druid.sql.dialect.gauss.visitor.GaussASTVisitor;
import com.alibaba.druid.sql.visitor.SQLASTVisitor;

public abstract class GaussSQLObjectImpl extends SQLObjectImpl implements GaussSQLObject {
   protected void accept0(SQLASTVisitor visitor) {
      this.accept0((GaussASTVisitor)visitor);
   }

   public abstract void accept0(GaussASTVisitor var1);
}
